org.apache.struts2.dispatcher.filter

## Class StrutsExecuteFilter

- java.lang.Object
- - org.apache.struts2.dispatcher.filter.StrutsExecuteFilter

- All Implemented Interfaces:
    javax.servlet.Filter, StrutsStatics

      public class StrutsExecuteFilter
      extends Object
      implements StrutsStatics, javax.servlet.Filter

  Executes the discovered request information. This filter requires the `StrutsPrepareFilter` to have already been executed in the current chain.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExecuteOperations` | `execute`
    `protected javax.servlet.FilterConfig` | `filterConfig`
    `protected PrepareOperations` | `prepare`

    - ### Fields inherited from interface org.apache.struts2.StrutsStatics

      `ACTION_MAPPING, HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_ACTION_TAG_INVOCATION, STRUTS_PORTLET_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsExecuteFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)`
    `void` | `init(javax.servlet.FilterConfig filterConfig)`
    `protected void` | `lazyInit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prepare

          protected PrepareOperations prepare

    - #### execute

          protected ExecuteOperations execute

    - #### filterConfig

          protected javax.servlet.FilterConfig filterConfig

  - ### Constructor Detail

    - #### StrutsExecuteFilter

          public StrutsExecuteFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### lazyInit

          protected void lazyInit()

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest req,
                               javax.servlet.ServletResponse res,
                               javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.